Skip Navigation Links
Exit Print View
| Oracle Solaris Cluster Data Services Reference Manual Oracle Solaris Cluster 4.1

Search Scope:

- This Document
- Entire Library

### SUNW.nfs

### , nfs

- resource type implementation for Oracle Solaris Cluster HA for NFS

## Description

The `nfs` resource type implementation operates on a set of `share` commands stored in a “per-resource” file. The format of this file is that each line consists of a `share_nfs`(1M) command. This file's location is relative to the `Pathprefix` property of the containing resource group. This file must reside as `SUNW.nfs/dfstab.`resource-name under the `Pathprefix` directory that contains the resource group.

### Standard Properties

See `r_properties`(5) for a complete description of the following resource properties.

`Cheap_probe_interval`
  Minimum

    `10`

  Maximum

    `3600`

  Default

    `20`

  Tunable

    Any time

`Network_resources_used (string array)`

  A list of logical-hostname or shared-address network resources upon which this resource has a dependency. This list contains all network-address resources that appear in the properties `Resource_dependencies`, `Resource_dependencies_weak`, `Resource_dependencies_restart`, or `Resource_dependencies_offline_restart`.

  This property is updated automatically by the RGM, based on the setting of the resource-dependencies properties. You do not set this property directly. Instead, use the `Resource_dependencies` property.

  Category

    `Conditional/Optional`

  Default

    `The empty list`

  Tunable

    When disabled

`Resource_dependencies (string array)`

  Specifies a list of resources upon which a resource depends. This list includes any logical-hostname or shared-address network resources that are used by a resource. The default value for this property is null.

  You can specify one or more resource names. Each network resource can contain one or more logical host names. See the `clreslogicalhostname`(1CL) and `clressharedaddress`(1CL) man pages for more information.

  You can specify an alternate kind of dependency by using the `Resource_dependencies_weak`, `Resource_dependencies_restart`, or `Resource_dependencies_offline_restart property` instead of the `Resource_dependencies` property. For more information, see the `r_properties(5)` man page.

  Category

    `Optional`

  Default

    `The empty list`

  Tunable

    Any time

`Thorough_probe_interval`
  Minimum

    60

  Maximum

    3600

  Default

    `120`

  Tunable

    Any time

### Extension Properties

`Lockd_nullrpc_timeout`

  Type integer. Default is `120`. Minimum value is 60. This property indicates the time out value (in seconds) to use when probing `lockd`.

`Monitor_retry_count`

  Type integer. Default is `4`. Minimum value is –1. This property controls the restarts of the fault monitor. It indicates the number of times that the fault monitor is restarted by the Process Monitor Facility (PMF) and corresponds to the `-n` option passed to the `pmfadm`(1M) command. The number of restarts is counted in a specified time window (see the property `Monitor_retry_interval`). Note that this property refers to the restarts of the fault monitor itself, not the NFS daemons.

`Monitor_retry_interval`

  Type integer. Default is `2`. Minimum value is –1. This property indicates that the failures of the fault monitor are counted and corresponds to the `-t` option passed to the`pmfadm`(1M) command. If the number of times the fault monitor fails exceeds the extension property `Monitor_retry_count`, the fault monitor is not restarted by the Process Monitor Facility.

`Mountd_nullrpc_restart`

  Type Boolean. Default is `TRUE`. Indicates if `mountd` should be restarted when a null `rpc` call fails.

`Mountd_nullrpc_timeout`

  Type integer; defaults to `120`. Minimum value is 60. This property indicates the time out value (in seconds) to use when probing `mountd`.

`Nfsd_nullrpc_restart`

  Type Boolean. Default is `FALSE`. This property indicates if `nfsd` should be restarted when a null `rpc` call fails.

`Nfsd_nullrpc_timeout`

  Type integer. Default is `120`. Minimum value is 60. This property indicates the time out value (in seconds) to use when probing `nfsd`.

`Rpcbind_nullrpc_reboot`

  Type Boolean. Default is `FALSE`. Indicates if the system is to be rebooted when a null `rpc` call on `rpcbind` fails.

`Rpcbind_nullrpc_timeout`

  Type integer. Default is `120`. Minimum value is 60. This property indicates the time out value (in seconds) to use when probing `rpcbind`.

`Statd_nullrpc_timeout`

  Type integer. Defaults to `120`. Minimum value is 60. This property indicates the time out value (in seconds) to use when probing `statd`.

## Files

`dfstab.`resource-name

  The file is in `dfstab` format, which contains the list of share commands to be managed by the resource. This file must reside in the `SUNW.nfs` subdirectory under the `Pathprefix` directory of the containing resource group.

`/tmp/.hanfs/*`

  Critical state files used by the implementation.

## Examples

Example 1 Instantiating a Failover NFS Resource

For this example to work, the data service must first be installed. This example instantiates a failover NFS resource named `hanfs-rs` in a resource group named `hanfs-rg`. The `hanfs-rg` resource group is assumed to contain at least one logical hostname resource, which identifies the logical hostnames associated with the resource group.

    example# clresourcetype register SUNW.nfs
    example# clresource create -g hanfs-rg -t SUNW.nfs hanfs-rs

The resource group `hanfs-rg` must contain a valid path name as its `Pathprefix` property. A file named `dfstab.hanfs-rs` must reside in the subdirectory `SUNW.nfs` under the `Pathprefix` directory.

Example 2 Instantiating a Failover NFS Resource

For this example to work, the data service must first be installed. This example instantiates a failover NFS resource named `sap-nfs` in a resource group named `sap-rg`. The system-defined property `Thorough_probe_interval` is set to 30 for this resource. The `Network_resources_used` property is set to a logical hostname `relo-sap`, which must reside in the same resource group, `sap-rg`.

    example# clresourcetype register SUNW.nfs
    example# clresource create –g sap-rg –t SUNW.nfs \
    -p Thorough_probe_interval=30 \
    -p Network_resources_used=relo-sap sap-nfs

## Attributes

See `attributes`(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
--- | ---
Availability | `ha-cluster/data-service/nfs`

## See Also

`lockd`(1M), `mountd`(1M), `nfsd`(1M), `pmfadm`(1M),`rpcbind`(1M), `scha_resource_get`(3HA), `clresourcetype`(1CL), `clresourcegroup`(1CL), `share`(1M), `statd`(1M), `rpc`(3NSL), `share_nfs`(1M), `attributes`(5), `r_properties`(5)

Oracle Solaris Cluster Data Service for Network File System (NFS) Guide, Oracle Solaris Cluster Data Services Planning and Administration Guide

## Notes

The path names being shared by means of `dfstab.`resource-name must be unique across all resources, and they cannot be present in the system `dfstab` file on any cluster node.

The implementation supports customization of the `/etc/init.d/nfs.server` script to start the `nfsd` daemon with a customized set of options.

The `SUNW.nfs` subdirectory under the `Pathprefix` directory of the containing resource group is also used by `statd` to save its state.

Copyright © 2000, 2012, Oracle and/or its affiliates. All rights reserved. Legal Notices |